Get Commcell Group Details
Get details of a commcellGroup based on id
Path Parameters
- commcellGroupId int32 required
Id of the commcellGroupId whose details have to be fetched
Header Parameters
- mode
Possible values: [
EdgeMode]
- 200
- 404
Success
- application/json
- Schema
- Example (from schema)
Schema
CommcellGroup object
id int32GUID stringname stringCompany object
id int32GUID stringname string- AssociationCount int32
Commcell association info.
GlobalConfigInfo object
Only applicable on Global CommCells
id stringname stringcommcells object[]
List of Service CommCells where the global configuration is applied
id int32name stringguid stringdisplayName stringcompanies object[]
List of companies where the global configuration is applied
id int32name stringguid stringdeploymentType stringPossible values: [
ON_PREM,SAAS,HYBRID]Defines where config is deployed.
scope stringThe entity level at which the config is applied.
scopeFilterQuery stringCommCellEntityCache filter query string used for filtering the scope
applyOnAllCommCells booleanDecides whether the global configuration should be applied to all the Service commcells, including the newly created ones
applyOnAllOnPremCommCells booleanDecides whether the global configuration should be applied to all the On Prem Service commcells, including the newly created ones
applyOnAllSaasCommCells booleanDecides whether the global configuration should be applied to all the SaaS Service commcells, including the newly created ones
applyOnAllCompanies booleanDecides whether the global configuration should be applied to all the companies, including the newly created ones
isMarkedForDeletion booleanIndicates whether global configuration deletion has been started.
status stringtargetCommCellType stringPossible values: [
GLOBAL_COMMCELL,SERVICE_COMMCELL]Indicates the type of CommCell where the global configuration is targeted.
ServiceCommcells object[]
Commcell object
id int32GUID stringname stringVersion stringVersion of the service commcell.
activeManagementStatus stringPossible values: [
DISABLED,INPROGRESS,ENABLED,FAILED]Returns active management status of the service commcell.
- description string
Description of the commcell group.
{
"CommcellGroup": {
"id": 0,
"GUID": "string",
"name": "string"
},
"Company": {
"id": 0,
"GUID": "string",
"name": "string"
},
"AssociationCount": 0,
"GlobalConfigInfo": {
"id": "string",
"name": "string",
"commcells": [
{
"id": 0,
"name": "string",
"guid": "string",
"displayName": "string"
}
],
"companies": [
{
"id": 0,
"name": "string",
"guid": "string"
}
],
"deploymentType": "ON_PREM",
"scope": "string",
"scopeFilterQuery": "string",
"applyOnAllCommCells": true,
"applyOnAllOnPremCommCells": true,
"applyOnAllSaasCommCells": true,
"applyOnAllCompanies": true,
"isMarkedForDeletion": true,
"status": "string",
"targetCommCellType": "GLOBAL_COMMCELL"
},
"ServiceCommcells": [
{
"Commcell": {
"id": 0,
"GUID": "string",
"name": "string"
},
"Version": "string",
"activeManagementStatus": "DISABLED"
}
],
"description": "string"
}
Requested Details not found